[@algorandfoundation/algokit-utils](../README.md) / [types/app-spec](../modules/types_app_spec.md) / CallConfig

# Interface: CallConfig

[types/app-spec](../modules/types_app_spec.md).CallConfig

Call configuration for a method

## Table of contents

### Properties

- [close\_out](types_app_spec.CallConfig.md#close_out)
- [delete\_application](types_app_spec.CallConfig.md#delete_application)
- [no\_op](types_app_spec.CallConfig.md#no_op)
- [opt\_in](types_app_spec.CallConfig.md#opt_in)
- [update\_application](types_app_spec.CallConfig.md#update_application)

## Properties

### close\_out

• `Optional` **close\_out**: [`CallConfigValue`](../modules/types_app_spec.md#callconfigvalue)

Close out call config

#### Defined in

[src/types/app-spec.ts:183](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L183)

___

### delete\_application

• `Optional` **delete\_application**: [`CallConfigValue`](../modules/types_app_spec.md#callconfigvalue)

Delete call config

#### Defined in

[src/types/app-spec.ts:187](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L187)

___

### no\_op

• `Optional` **no\_op**: [`CallConfigValue`](../modules/types_app_spec.md#callconfigvalue)

NoOp call config

#### Defined in

[src/types/app-spec.ts:179](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L179)

___

### opt\_in

• `Optional` **opt\_in**: [`CallConfigValue`](../modules/types_app_spec.md#callconfigvalue)

Opt-in call config

#### Defined in

[src/types/app-spec.ts:181](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L181)

___

### update\_application

• `Optional` **update\_application**: [`CallConfigValue`](../modules/types_app_spec.md#callconfigvalue)

Update call config

#### Defined in

[src/types/app-spec.ts:185](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/app-spec.ts#L185)
